Name: python-nitrate
Version: 1.8.2
Release:    1%{?dist}

Summary: Python API for the Nitrate test case management system
License: LGPLv2+

URL: https://github.com/psss/python-nitrate
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.bz2


%bcond_with oldreqs
%bcond_with englocale


BuildArch: noarch
BuildRequires: git-core
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-six

%{?python_enable_dependency_generator}

%global _description %{expand:
A Python interface to the Nitrate test case management system.
The package consists of a high-level Python module (provides
natural object interface), a low-level driver (allows to directly
access Nitrate XMLRPC API) and a command line interpreter (useful
for fast debugging and experimenting).}

%description %_description


%package -n python%{python3_pkgversion}-nitrate
Summary: %{summary}
%if %{with oldreqs}
Requires: python%{python3_pkgversion}-gssapi
Requires: python%{python3_pkgversion}-psycopg2
Requires: python%{python3_pkgversion}-six
%endif

%description -n python%{python3_pkgversion}-nitrate %_description

%prep
%autosetup -S git

%build
%if %{with englocale}
export LANG=en_US.utf-8
%endif
%py3_build

%install
%if %{with englocale}
export LANG=en_US.utf-8
%endif
%py3_install
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 docs/*.1.gz %{buildroot}%{_mandir}/man1
%{__python3} %{_bindir}/pathfix.py -pni "%{__python3} %{py3_shbang_opts}i" %{buildroot}%{_bindir}/nitrate


%files -n python%{python3_pkgversion}-nitrate
%{python3_sitelib}/nitrate/
%{python3_sitelib}/nitrate-*.egg-info/
%{_mandir}/man1/*
%{_bindir}/nitrate
%doc README examples
%license LICENSE

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.2-1
- initial build
